[GRASS-dev] Re: [GRASS GIS] #958: v.krige does not run in GRASS 7

GRASS GIS trac at osgeo.org
Thu Jun 9 09:36:18 EDT 2011

#958: v.krige does not run in GRASS 7
 Reporter:  cmbarton  |       Owner:  aghisla  
     Type:  defect    |      Status:  assigned 
 Priority:  normal    |   Milestone:  7.0.0    
Component:  Vector    |     Version:  svn-trunk
 Keywords:  v.krige   |    Platform:  All      
      Cpu:  All       |  

Comment(by aghisla):

 Replying to [comment:10 hamish]:
 > Hi,
 > seems to work for me now (almost), bug resolved?
 > the list of dependencies takes a few iterations to get past, but after
 following the R+GRASS install instructions on the GRASS wiki, and after
 that is working
 >  install.packages("put-pkg-name-here")
 > in an R session for all the ones v.krige complained about missing.
 > As commented earlier in the ticket, probably explicitly listing them in
 the v.krige man page, and as a footer section in the GRASS wiki's "R" page
 will help folks get through them quickly. I wonder how we could automate
 that more?

 Hello Hamish,

 sorry for delay and thanks for testing.

 Please see if r46642 is clearer now, then I will also add comments on "R"

 > ----
 > I do get one error now when I run it in grass7:
 > {{{
 > [...]
 > Checking rgeos availability as gpclib substitute:
 > Loading required package: automap
 > GSelect: invalid item: descriptor 'lower' requires a 'unicode' object
 but received a 'str
 > }}}
 > We've seen that before in the main wx.gui, and ISTR it's an easy fix.
 I'm using `LANG=C`.

 I can't replicate this error, when does it appear?
 I run trunk compiled now (r46642).

 > thanks,
 > Hamish
 > ps- trac-tip: if you comment or change a ticket you're automatically
 added to the cc-list. If you take ownership you have to then manually add
 the grass-dev ML to the cc-list.

 thanks, sorry for noise :)

 > pps- do you lose anything by using the free-for-all-use rgeos cran
 package versus the first-tried free-for-commercial-use gpclib cran
 package? aka why not make rgeos the default?

 Not at all, I added it as dependency (r46643), so that gpclib is no more

Ticket URL: <https://trac.osgeo.org/grass/ticket/958#comment:12>
GRASS GIS <http://grass.osgeo.org>

More information about the grass-dev mailing list